Page MenuHomePhabricator

MediaWiki deployment shell access request
Closed, ResolvedPublic

Description

Full Name: David Causse
User:DCausse on wikitech and User:DCausse (WMF) on all other wikis
Freenode: dcausse
labs username: dcausse
prod shell username: dcausse (see T104222)
SSH Public public key for prod: https://wikitech.wikimedia.org/wiki/User:DCausse

I work on Cirrus, I need deployment access in case of a config/mapping change in the elasticsearch config. We will have to rebuild the index and then re-deploy Cirrus config change to activate new features once the new index is ready.

Event Timeline

Restricted Application added a project: acl*sre-team. · View Herald TranscriptJul 2 2015, 7:51 AM
dcausse created this task.Jul 2 2015, 7:51 AM
dcausse updated the task description. (Show Details)
dcausse changed Security from None to Access Request.
dcausse added subscribers: dcausse, Manybubbles.
Restricted Application added a subscriber: Matanya. · View Herald TranscriptJul 2 2015, 7:51 AM

Change 222255 had a related patch set uploaded (by Matanya):
access: grant David Causse deployment rights

https://gerrit.wikimedia.org/r/222255

RobH changed the task status from Open to Stalled.Jul 2 2015, 4:04 PM
RobH added a subscriber: RobH.

This is closely related to T104222 (setting up his user and giving him root via that task). The sudo request won't be covered until the Monday operations meeting. I'll claim this as related to that and they can all be batch reviewed for this user in the meeting.

RobH triaged this task as Medium priority.Jul 2 2015, 4:04 PM

@dcausse: technically your manager should approve deployment rights on this task (since its a totally different subset of rights.)

Please have them do so, and if it is done in time for our Monday meeting, I'll include this in your sudo request review.

Approved. @dcausse should deploy!

RobH claimed this task.Jul 3 2015, 3:25 PM

I'll claim this and fold it into my merge of his sudo rights next week. (The 3 day wait hasn't passed for this either, so meeting or not it merges next week.

Change 222255 merged by RobH:
access: grant David Causse deployment rights

https://gerrit.wikimedia.org/r/222255

RobH closed this task as Resolved.Jul 6 2015, 9:02 PM

The access for sudo/root on search (T104222) , as well as your initial shell access (T104222) & deployment access (T104546) were all reviewed together during our weekly operations meeting. All requests were passed without issue, and have been merged live. You should now (once puppet calls in on all servers, so about ~30 minutes) have shell access (bastions), deployment access (mediawiki cluster), and sudo/root access on the search cluster.

Dzahn closed subtask Restricted Task as Resolved.Jul 7 2015, 2:21 AM